Subject: Follow-up

From: Bob Bowles <[email-masked]>
Date: Wed, 17 Dec 2025 10:38:50 +0000

I can now confirm the exact same bug is present in Debian Trixie,
affecting legacy hardware using i915 graphics. I strongly suspect it
exists in all distributions derived from Debian Trixie.

The workaround I published here fails to work correctly at login if
other processes are actively trying to access dpms. To deconflict it
is sufficient to add a small delay:

sleep 5 && xset s off dpms 0 0 0

This workaround works fine in Debian Trixie with the xfce desktop as
well as Devuan Excalibur with xfce. I cannot look at more heavyweight
desktops because of hardware limitations.